sdr::Traits< uint8_t > Class Template Reference

Template specialization of type tratis for uint8_t scalar. More...

`#include <traits.hh>`

## Public Types

typedef uint8_t | Scalar
| The scalar type. More...
typedef uint8_t | RScalar
| The real scalar type. More...
typedef uint16_t | SScalar
| The compute scalar type. More...

## Static Public Attributes

static const float | scale
| The scaleing factor from floating point to integer. More...
static const size_t | shift
| Shift from Scalar to SScalar. More...
static const Config::Type | scalarId = Config::Type_u8
| The type id of the scalar type. More...

## Detailed Description

### template<>
class sdr::Traits< uint8_t >

Template specialization of type tratis for uint8_t scalar.

## Member Typedef Documentation

typedef uint8_t sdr::Traits< uint8_t >::RScalar

The real scalar type.

typedef uint8_t sdr::Traits< uint8_t >::Scalar

The scalar type.

typedef uint16_t sdr::Traits< uint8_t >::SScalar

The compute scalar type.

## Member Data Documentation

const Config::Type sdr::Traits< uint8_t >::scalarId = Config::Type_u8

static

The type id of the scalar type.

const float sdr::Traits< uint8_t >::scale

static

The scaleing factor from floating point to integer.

const size_t sdr::Traits< uint8_t >::shift

static

Shift from Scalar to SScalar.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/traits.hh